Package ru.bitel.bgbilling.modules.bill.server.bean

# Class Extraction

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.Extraction

    public class Extraction
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Extraction()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAccount()` |
  `java.lang.String` | `getBillNumber()` |
  `float` | `getBillSumm()` | сумма по базе данных, если таковая будет найдена
  `int` | `getCid()` |
  `java.lang.String` | `getContractTitle()` |
  `java.util.Calendar` | `getCreateDt()` |
  `java.lang.String` | `getDraftNumber()` |
  `int` | `getErrorStatus()` |
  `java.lang.String` | `getInn()` |
  `java.util.Calendar` | `getPayDt()` |
  `float` | `getSumm()` | сумма по платежному поручению, если таковая будет найдена
  `void` | `setAccount​(java.lang.String account)` |
  `void` | `setBillNumber​(java.lang.String billNumber)` |
  `void` | `setBillSumm​(float billSumm)` | сумма по базе данных, если таковая будет найдена
  `void` | `setCid​(int cid)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setCreateDt​(java.util.Calendar createDt)` |
  `void` | `setDraftNumber​(java.lang.String draftNumber)` |
  `void` | `setErrorStatus​(int errorStatus)` |
  `void` | `setInn​(java.lang.String inn)` |
  `void` | `setPayDt​(java.util.Calendar payDt)` |
  `void` | `setSumm​(float summ)` | сумма по платежному поручению, если таковая будет найдена

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Extraction

    public Extraction()

- ## Method Details

  - ### getAccount

    public java.lang.String getAccount()

  - ### setAccount

    public void setAccount​(java.lang.String account)

  - ### getInn

    public java.lang.String getInn()

  - ### setInn

    public void setInn​(java.lang.String inn)

  - ### getBillNumber

    public java.lang.String getBillNumber()

  - ### setBillNumber

    public void setBillNumber​(java.lang.String billNumber)

  - ### getCreateDt

    public java.util.Calendar getCreateDt()

  - ### setCreateDt

    public void setCreateDt​(java.util.Calendar createDt)

  - ### getPayDt

    public java.util.Calendar getPayDt()

  - ### setPayDt

    public void setPayDt​(java.util.Calendar payDt)

  - ### getSumm

    public float getSumm()
    сумма по платежному поручению, если таковая будет найдена

  - ### setSumm

    public void setSumm​(float summ)
    сумма по платежному поручению, если таковая будет найдена

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid​(int cid)

  - ### getDraftNumber

    public java.lang.String getDraftNumber()

  - ### setDraftNumber

    public void setDraftNumber​(java.lang.String draftNumber)

  - ### getErrorStatus

    public int getErrorStatus()

  - ### setErrorStatus

    public void setErrorStatus​(int errorStatus)

  - ### getBillSumm

    public float getBillSumm()
    сумма по базе данных, если таковая будет найдена

  - ### setBillSumm

    public void setBillSumm​(float billSumm)
    сумма по базе данных, если таковая будет найдена

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)